query GetAccountPageSettings($uid: String!, $locale: String!) {
  account_page(uid: $uid, locale: $locale) {
    page_settings {
      hide_booking_widget
    }
  }
}

query GetLoyaltyPageSettings($uid: String!, $locale: String!) {
  loyalty_page(uid: $uid, locale: $locale) {
    page_settings {
      hide_booking_widget
    }
  }
}

query GetCollectionPageSettings($uid: String!, $locale: String!) {
  collection_page(uid: $uid, locale: $locale) {
    page_settings {
      hide_booking_widget
    }
  }
}

query GetContentPageSettings($uid: String!, $locale: String!) {
  content_page(uid: $uid, locale: $locale) {
    page_settings {
      hide_booking_widget
    }
  }
}

query GetHotelPageSettings($uid: String!, $locale: String!) {
  hotel_page(uid: $uid, locale: $locale) {
    page_settings {
      hide_booking_widget
    }
  }
}

query GetCurrentBlocksPageSettings($uid: String!, $locale: String!) {
  current_blocks_page(uid: $uid, locale: $locale) {
    page_settings {
      hide_booking_widget
    }
  }
}
